
var shapes = undefined
var shapesFor = undefined

function throwConfetti(confettiStyle, customString) {

    document.body.className = themeForConfettiStyle(confettiStyle)

    if (confettiStyle === 'confetti') {
        confetti({
            particleCount: 108
        })
    }
    else {
        const emojisString = confettiStyle === 'custom' ?
            customString
          : document.querySelector('option[value="' + confettiStyle + '"]').textContent

        const scalar = confettiStyle === 'stars' ? 4 : 3 // stars lack contrast, a little larger looks great

        if (shapesFor !== emojisString) {
            shapesFor = emojisString
            emojisArray = emojisString.split(" ", 4)
            shapes = []
            for (var i = 0; i < emojisArray.length; i++) {
                const shape = confetti.shapeFromText({ text: emojisArray[i], scalar })
                shapes.push(shape)
            }
        }

        confetti({
            particleCount: 27,
            shapes: shapes,
            scalar
        });
    }

}


function themeForConfettiStyle(confettiStyle) {
    /* maybe later, but then better with a dedicated button
    if (confettiStyle === 'stars') {
        return 'theme-dark'
    } */
    return ''
}